> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-commerce/reference/telemetry.md).

# Telemetry

Commerce telemetry is connected directly to the CMS telemetry pipeline and runs with the [ReportSiteJob](https://github.com/umbraco/Umbraco-CMS/blob/v14/dev/src/Umbraco.Infrastructure/BackgroundJobs/Jobs/ReportSiteJob.cs).

It pulls commerce data using a custom provider.

## Captured data

Through the custom provider, the Commerce telemetry pipeline captures the following data defined per store:

* Store ID
* Product Count
* Order Count
* Location Count
* Country Count
* Country Codes
* Currency Count
* Currency Codes
* Payment Method Count
* Payment Providers
* Shipping Method Count
* Shipping Providers
* Shipping Method Types
* Tax Calculation Method Count
* Sales Tax Providers
* Is Custom Product Adapter Used
* Is Custom Product Calculator Used
* Is Custom Order Line Calculator Used
* Is Custom Payment Calculator Used
* Is Custom Shipping Calculator Used
* Is Storefront API Enabled

## Settings

Commerce telemetry reporting can be managed in the [Telemetry Data](https://docs.umbraco.com/umbraco-cms/fundamentals/backoffice/settings-dashboards#telemetry-data) dashboard.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce/reference/telemetry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
